1. Risk and Routing
AirHub API
  • Introduction
  • Authentication
    • Overview
    • Get Oauth Token
      POST
  • Briefing
    • Overview
    • B4UFLY
      • What Is B4UFLY
      • The API Basics
      • Location vs Area
      • What's New in v2
      • v2
        • B4UFLY Briefing by Area
        • B4UFLY Briefing by Location
      • v1
        • B4UFLY Briefing by Area
        • B4UFLY Briefing by Location
  • Data
    • Positions
      • Send Positions
    • Elevation v1
      • Elevation
    • Elevation v2
      • Elevation
  • Operations
    • ASL Operations
      • List Operations
      • Create Operation
      • Get Operation
      • Delete Operation
      • Update Operation
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
        • Delete Operation
        • Create Operation
        • Update Operation
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
      • Get Ephemeral Operation
      • Delete Ephemeral Operation
      • Claim Ephemeral Operation
  • Surface, Risk, and Routing
    • Overview
    • Surface Layers
      • Get Surface Layer Access
    • Risk and Routing
      • Classify Risk
        POST
      • Generate Route
        POST
      • Surface Hexbin
        POST
  • Vector Tiles
    • Overview
  • Schemas
    • asloperationsvc.v1.FlightType
    • authorizationsvc.v1.Authorization
    • AssetTypeEnum
    • protobufAny
    • protobufNullValue
    • ephemeralsvc.v1.ClaimEphemeralOperationResponse
    • DeviceStatus
    • authorizationsvc.v1.Class
    • v2GetSurfaceAccessResponse
    • ephemeralsvc.v1.CreateEphemeralOperationRequest
    • ElevationFeature
    • authorizationsvc.v1.FacilityMap
    • risksvcv1Layer
    • authorizationsvc.v1.Deny
    • v2MetadataSource
    • ElevationGeometry
    • authorizationsvc.v1.Status
    • rpcStatus
    • ephemeralsvc.v1.CreateEphemeralOperationResponse
    • authorizationsvc.v1.SubmissionType
    • ephemeralsvc.v1.EphemeralOperation
    • ElevationOutput
    • v1Bitmask
    • v2UpdateSurfaceAccessRequest
    • v1ClassificationSurface
    • v2UpdateSurfaceAccessResponse
    • ElevationServerErrorResponse
    • ephemeralsvc.v1.PointOfContact
    • v1ClassifyResponse
    • InvalidElevationInputResponse
    • geompb.v1.AltitudeReference
    • v1HexCell
    • OwnerTypeEnum
    • geompb.v1.AltitudeUnit
    • google.protobuf.Any
    • PointXyElevationData
    • v1HexResp
    • laancsvc.v1.Action
    • google.protobuf.NullValue
    • v1RouteResponse
    • laancsvc.v1.Candidate
    • RawPositionMessageBody
    • google.rpc.Status
    • v1SurfaceGeoJSONResponse
    • laancsvc.v1.DeleteOperationResponse
    • SourceAltitudeTypeEnum
    • Transformation
    • laancsvc.v1.GetOperationResponse
    • v1SurfaceRequest
    • Unit
    • v1SurfaceResponse
    • laancsvc.v1.License
    • V1ElevationInput
    • laancsvc.v1.Notice
    • V1Geometry
    • laancsvc.v1.Operation
    • V1GeometryType
    • laancsvc.v1.OperationResponse
    • V1InVDatum
    • laancsvc.v1.OperationService.CreateOperationBody
    • laancsvc.v1.OperationService.UpdateOperationBody
    • V2ElevationInput
    • laancsvc.v1.PointOfContact
    • laancsvc.v1.Reason
    • laancsvc.v1.UpdateOperationResponse
    • laancsvc.v1.ReverseLookupOperationResponse
AirHub® Portal (Sandbox)
  1. Risk and Routing

Classify Risk

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
POST
/v2/classify
Last modified:2026-03-24 21:48:08
Scope: surface:create
The HexGen™ Surface API is a powerful geospatial aggregation and modeling engine that efficiently processes and combines multiple datasets to generate custom-tailored insights. This API enables users to integrate authoritative data provided by Airspace Link with their own GIS data, creating comprehensive and data-driven solutions. The API simplifies the process of combining and processing large amounts of data, transforming complexity into actionable insights.

Request

Header Params

Body Params application/json

Example
{
    "geometry": {
        "coordinates": [
            [
                [
                    -83.281174,
                    42.258
                ],
                [
                    -83.281174,
                    42.3121
                ],
                [
                    -83.218689,
                    42.3121
                ],
                [
                    -83.218689,
                    42.258
                ],
                [
                    -83.281174,
                    42.258
                ]
            ]
        ],
        "type": "Polygon"
    },
    "layers": [
        {
            "code": "uasfm_ceiling",
            "risk": 1
        }
    ],
    "resolution": 9
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://airhub-api-sandbox.airspacelink.com/v2/classify' \
--header 'Authorization: ' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
    "geometry": {
        "coordinates": [
            [
                [
                    -83.281174,
                    42.258
                ],
                [
                    -83.281174,
                    42.3121
                ],
                [
                    -83.218689,
                    42.3121
                ],
                [
                    -83.218689,
                    42.258
                ],
                [
                    -83.281174,
                    42.258
                ]
            ]
        ],
        "type": "Polygon"
    },
    "layers": [
        {
            "code": "uasfm_ceiling",
            "risk": 1
        }
    ],
    "resolution": 9
}'

Responses

🟢200
application/json
Body

Example
{
    "data": {
        "bitmaskMap": {
            "uasfm_ceiling": {
                "bitmask": 1,
                "risk": 1
            }
        },
        "hexes": [
            {
                "bitmask": 1,
                "index": "892ab2cd8d7ffff",
                "risk": 1
            }
        ]
    },
    "message": "success",
    "statusCode": 200
}
🔴500
Modified at 2026-03-24 21:48:08
Previous
Get Surface Layer Access
Next
Generate Route
Built with